var routes = [
	{ path: '/', component: IndexPage,
	  children: [
	  	{
          path: '/',
          component: PersonEditPanel,
          redirect: 'person-edit-panel'
       },
        {
          path: 'person-new-panel',
          component: PersonNewPanel
        },
        {
          path: 'person-edit-panel',
          component: PersonEditPanel
        },
        {
          path: 'team-new-panel',
          component: TeamNewtPanel
        },
        {
          path: 'team-edit-panel',
          component: TeamEditPanel
        },
        {
          path: 'temp-send-panel',
          component: TempSendPanel
        },
        {
          path: 'system-send-panel',
          component: SystemSendPanel
        },
        {
        	path: 'preview-panel',
          	component: PreviewPanel
        }
      ]
	}
],
router = new VueRouter({
  routes: routes
}),
storage = {
	docInfo: localStorage.getItem('docInfo')?JSON.parse(localStorage.getItem('docInfo')):null,
	patient: null, // url中patient,用来来判断是否是"发送"模式
	planId: null
}

new Vue({
    data: {
    },
    router: router,
    methods: {
        chooseTab: function(val){
            this.selectedTab = val;
        }
    }
}).$mount('#app')