! function() {
	var httpData = GetRequest();
	new Vue({
		el: "#app",
		data: {
			imgData: {
				accept: 'image/gif, image/jpeg, image/png, image/jpg',
			},
			isCollapse: false,
			upImgs: [],
			upImgArr: [],
			planid: httpData['planid'],
			service: []
		},
		mounted: function() {
			this.getServiceItem();
		},
		methods: {
			zwkf: function() {
				top.layer.msg('此功能暂未开放', {
					icon: 1
				});
			},
			jkjy: function(patient, planId) {
				var vm = this
				top.layer.open({
					type: 2,
					//				  offset: ['100px'], //右下角弹出
					area: ['800px', '648px'],
					shade: 0.5,
					title: '健康教育',
					fixed: true, //不固定
					maxmin: true,
					closeBtn: 1,
					shift: 5,
					shadeClose: false, //点击遮罩关闭层
					content: '../../article/html/article.html?code=' + patient + '&planId=' + planId + '&isReha=true'
				});
			},
			//						健康指导
			jkzd: function(patient, planId) {
				var vm = this
				top.layer.open({
					type: 2,
					//				  offset: ['100px'], //右下角弹出
					area: ['800px', '648px'],
					shade: 0.5,
					title: '健康教育',
					fixed: true, //不固定
					maxmin: true,
					closeBtn: 1,
					shift: 5,
					shadeClose: false, //点击遮罩关闭层
					content: '../../guidance/html/index.html#/person-edit-panel?patient=' + patient + '&planId=' + planId
				});
			},
			qwapp: function() {
				top.layer.msg('请前往app处理', {
					icon: 5
				});
			},
			getServiceItem: function() {
				var vm = this;
				var loginDoctor = JSON.parse(window.localStorage.getItem('wlyyAgent'));
				var loadding = top.layer.load(0, {
					shade: false
				}); //0代表加载的风格，支持0-2
				rehaAPI.serviceItem({
					planDetailId: vm.planid
				}).then(function(res) {
					top.layer.close(loadding);
					if(res.status == 200) {
						vm.service = res.data;
						var isZK=loginDoctor.doctorType==1?true:false;
						vm.service.isZK=isZK;
						if(vm.service.isMyTask==1){//执行者										
							vm.service.isCK=true;//无法显示按钮
							if(loginDoctor.uid==vm.service.specialistDoctorCode){//说明我自己是创建者
								vm.service.isCK=false;
								vm.service.isCreate=true;
							}
						}else{
							if(loginDoctor.uid==vm.service.specialistDoctorCode){//说明我自己是创建者
								vm.service.isCreate=true;
							}
						}
					} else {
						top.layer.msg(res.msg, {
							icon: 5
						});
					}
				})
			},
			zdly: function(data) {
				var vm = this
				var loginDoctor = JSON.parse(window.localStorage.getItem('wlyyAgent'));
				var otherCode, otherName;
				var planDetailId = data.planDetaiId;
				if(loginDoctor.doctorType == 1) {
					otherCode = data.familyDoctorCode;
					otherName = data.familyDoctorName;
				} else {
					otherCode = data.specialistDoctorCode;
					otherName = data.specialistDoctorName;
				}
				top.layer.open({
					type: 2,
					//				  offset: ['100px'], //右下角弹出
					area: ['800px', '650px'],
					shade: 0.5,
					title: '指导留言',
					fixed: true, //不固定
					maxmin: true,
					closeBtn: 1,
					shift: 5,
					shadeClose: false, //点击遮罩关闭层
					content: '../../consulting/html/consulting.html?otherCode=' + otherCode + '&otherName=' + encodeURI(otherName) + '&planDetailId=' + planDetailId,
					end: function() { // 未点击确定按钮，点击关闭按钮  
						　　　　　　
						vm.getServiceItemList();　　　　
					}
				});
			},
			deleteImg: function(idx) {
				console.log(idx)
				this.upImgs.splice(idx, 1)
			},
			chakan: function() {
				this.isCollapse = !this.isCollapse;
			},
			upLoadImgToBase64: function() {
				var vm = this;
				var img1 = event.target.files[0];
				console.log(img1)
				var reader = new FileReader();
				var type = img1.type; //文件的类型，判断是否是图片  
				var size = img1.size; //文件的大小，判断图片的大小  
				if(this.imgData.accept.indexOf(type) == -1) {
					alert('请选择我们支持的图片格式！');
					return false;
				}
				if(size > 3145728) {
					alert('请选择3M以内的图片！');
					return false;
				}
				reader.readAsDataURL(img1);
				reader.onload = function(e) {
					vm.upImgs.push({
						baseUrl: e.target.result
					});
					vm.upImgArr.push(img1);
					//			             		vm.uploadImg(vm.upImgArr);
				}
			},
			qrwc: function() {
				var vm = this;
				vm.uploadImg(vm.upImgArr, vm.updateNoteAndImageRehabilitationOperate);
			},
			//上传图片
			uploadImg: function(data, cb) {
				var vm = this;
				var len = data.length;
				if(!len) {
					cb && cb();
				} else {
					var file = data[len - 1];
					var formData = new FormData();
					formData.append('file', file);
					rehaAPI.upload(formData).then(function(res) {
						console.log(res)
						if(res.status == 200) {
							console.log(vm.upImgs[len - 1])
							vm.upImgs[len - 1].img = res.data;
							data.pop();
							vm.uploadImg(data, cb);
						}
					})
				}
			},
			updateNoteAndImageRehabilitationOperate: function() {
				var vm = this;
				var _image = [];
				for(var i in vm.upImgs) {
					_image.push(vm.upImgs[i].img);
				}
				var params = {
					planDetailId: vm.planid,
					node: vm.service.node,
					image: JSON.stringify(_image)
				}
				var loadding = top.layer.load(0, {
					shade: false
				}); //0代表加载的风格，支持0-2
				rehaAPI.updateNoteAndImageRehabilitationOperate(params).then(function(res) {
					top.layer.close(loadding);
					console.log(res)
					if(res.status == 200) {
						vm.getServiceItem();
						parent.serviceItem.getServiceItemList();
					}
				})
			},
		},
		filters: {
			formatDate: function(value, format) {
				if(!value) return;
				var fmt = format || "yyyy-MM-dd hh:mm";
				var date = new Date(value);
				if(/(y+)/.test(fmt)) {
					fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
				}
				let o = {
					'M+': date.getMonth() + 1,
					'd+': date.getDate(),
					'h+': date.getHours(),
					'm+': date.getMinutes(),
					's+': date.getSeconds()
				};
				for(let k in o) {
					if(new RegExp(`(${k})`).test(fmt)) {
						let str = o[k] + '';
						fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? str : ('00' + str).substr(str.length));
					}
				}
				return fmt;
			},
			getImgUrl: function(value) {
				var url = httpRequest.getImgUrl(value);
				return url;
			}
		}
	})
}();